Bug 10412 - Glass Globe SVG renders wrong in Safari (works in Firefox)
Summary: Glass Globe SVG renders wrong in Safari (works in Firefox)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P4 Normal
Assignee: Nobody
URL: http://www.dotuscomus.com/svg/demos/g...
Keywords: NeedsReduction
Depends on:
Blocks: 68469 26389
  Show dependency treegraph
 
Reported: 2006-08-15 01:35 PDT by Eric Seidel (no email)
Modified: 2014-05-12 05:54 PDT (History)
6 users (show)

See Also:


Attachments
reduction (505 bytes, image/svg+xml)
2007-12-15 03:40 PST, Eric Seidel (no email)
no flags Details
trivial fix (1.67 KB, patch)
2010-07-02 04:15 PDT, Zoltan Herczeg
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2006-08-15 01:35:35 PDT
Glass Globe SVG renders wrong in Safari (works in Firefox)

http://www.dotuscomus.com/svg/glassglobe.svg

No messages in the JavaScript console.  This will need a reduction.
Comment 1 mitz 2006-08-23 12:01:37 PDT
(In reply to comment #0)
> No messages in the JavaScript console.  This will need a reduction.
> 

The console says

2006-08-23 22:00:03.216 Safari[10992] Warning, no gradient stops, gradient (0x1ebd3090) will be all black!
Comment 2 Eric Seidel (no email) 2007-01-31 05:08:35 PST
Wow.  We render this *better* than firefox now. :)
Comment 3 Sam Weinig 2007-01-31 05:31:44 PST
We still render this wrong, take a look at it in Opera.
Comment 4 David Kilzer (:ddkilzer) 2007-01-31 06:39:33 PST
Reopening per Comment #3.

Comment 5 Eric Seidel (no email) 2007-12-15 03:40:39 PST
Created attachment 17912 [details]
reduction
Comment 6 Eric Seidel (no email) 2007-12-15 03:41:18 PST
This turns out to be a lighting filter problem.  This could probably be reduced even more.
Comment 7 Zoltan Herczeg 2010-07-02 04:15:18 PDT
Created attachment 60358 [details]
trivial fix

The "reduction" works now, but I still cannot change lighting attributes on the original page.
Comment 8 Oliver Hunt 2010-07-02 12:41:48 PDT
Comment on attachment 60358 [details]
trivial fix

r=me
Comment 9 WebKit Commit Bot 2010-07-02 19:02:22 PDT
Comment on attachment 60358 [details]
trivial fix

Clearing flags on attachment: 60358

Committed r62423: <http://trac.webkit.org/changeset/62423>
Comment 10 WebKit Commit Bot 2010-07-02 19:02:27 PDT
All reviewed patches have been landed.  Closing bug.